Bug 1254486 - Do not quote value for 'scan_freq' and 'freq_list'
Do not quote value for 'scan_freq' and 'freq_list'
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: wpa_supplicant (Show other bugs)
All All
unspecified Severity medium
: rc
: ---
Assigned To: Rashid Khan
Ken Benoit
Depends On:
Blocks: 1275424
  Show dependency treegraph
Reported: 2015-08-18 04:49 EDT by Jirka Klimes
Modified: 2016-05-10 15:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: wpa_supplicant-0.7.3-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-10 15:31:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jirka Klimes 2015-08-18 04:49:55 EDT
wpa_supplicant in RHEL 6 adds quotes around the value of 'scan_freq' and 'freq_list'. That causes incorrect parsing of the options in wpa_config_parse_freqs().

The quotes should not be added. It has been fixed for new D-Bus interface by this upstream commit:
Comment 6 Ken Benoit 2016-02-29 12:57:13 EST
Installed RHEL-6.8-20160229.n.0 (with wpa_supplicant-0.7.3-8.el6) on a test system, ran dbus-monitor, and configured wpa_supplicant to connect to an unencrypted network with scan_freq=2412 and freq_list=2412 in the network block within wpa_supplicant.conf. Started the wpa_supplicant service and checked dbus-monitor to see what signals wpa_supplicant was sending. I was unable to find the scan_freq or freq_list values in any of the signal messages. I noticed that the dbus interface for wpa_supplicant on RHEL-6.8 is /fi/epitest/hostap/WPASupplicant, which is the old interface. The old interface is apparently not very verbose in its output. This is versus testing I did in RHEL-7.2 where wpa_supplicant uses the new /fi/w1/wpa_supplicant1 interface which does include the scan_freq and freq_list values in the dbus signal messages. Apart from recompiling wpa_supplicant from source to use the new dbus interface there is nothing to test in the RHEL-6.8 build of this package. I have downloaded the source rpm for wpa_supplicant and verified that the rh1254486-dont-qoute-scan_freq-and-freq_list.patch file is present and correct and performing an rpmbuild --rebuild on wpa_supplicant-0.7.3-8.el6.src.rpm shows that the patch does get patched in correctly. Verifying as SanityOnly.
Comment 8 errata-xmlrpc 2016-05-10 15:31:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.